com.holonplatform.vaadin.flow.spring.internal

## Class EnableSecuredRouteRegistrar

- java.lang.Object
- - com.holonplatform.vaadin.flow.spring.internal.EnableSecuredRouteRegistrar

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanClassLoaderAware, org.springframework.context.annotation.ImportBeanDefinitionRegistrar

      public class EnableSecuredRouteRegistrar
      extends Object
      implements org.springframework.context.annotation.ImportBeanDefinitionRegistrar, org.springframework.beans.factory.BeanClassLoaderAware

  A bean definition registrar for the `EnableSecuredRoute` annotation.
  Since:
    5.2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnableSecuredRouteRegistrar()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `registerBeanDefinitions(org.springframework.core.type.AnnotationMetadata annotationMetadata, org.springframework.beans.factory.support.BeanDefinitionRegistry registry)`
    `void` | `setBeanClassLoader(ClassLoader classLoader)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnableSecuredRouteRegistrar

          public EnableSecuredRouteRegistrar()

  - ### Method Detail

    - #### setBeanClassLoader

          public void setBeanClassLoader(ClassLoader classLoader)

      Specified by:
        `setBeanClassLoader` in interface `org.springframework.beans.factory.BeanClassLoaderAware`

    - #### registerBeanDefinitions

          public void registerBeanDefinitions(org.springframework.core.type.AnnotationMetadata annotationMetadata,
                                              org.springframework.beans.factory.support.BeanDefinitionRegistry registry)

      Specified by:
        `registerBeanDefinitions` in interface `org.springframework.context.annotation.ImportBeanDefinitionRegistrar`

Copyright © 2019 The Holon Platform. All rights reserved.